Nuxa
Api referenceKnowledgeApiKnowledgeIdExtractBatch

POST /api/knowledge/{id}/extract/batch

POST
/api/knowledge/{id}/extract/batch

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Path Parameters

id*string

The id parameter

Request Body

application/json

documentIds*array<unknown>
schemaType*string
Value in"invoice" | "resume" | "contract" | "purchaseOrder" | "receipt" | "businessCard" | "meetingMinutes" | "jobPosting"
model?string
Default"cheap"
Value in"cheap" | "smart"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://app.nuxa.ai/api/knowledge/string/extract/batch" \  -H "Content-Type: application/json" \  -d '{    "documentIds": [],    "schemaType": "invoice"  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}